Subject: packages depending on latest gtk2 crash on Darwin
To: None <>
From: Mark E. Perkins <>
List: pkgsrc-users
Date: 01/13/2007 11:53:11
I updated x11/gtk2 earlier today, and now gqview, nmapfe, and gtk-send-pr (all
of which were also updated today) crash on start (oddly, wireshark does not
crash).  The error printed is just "Bus error".  The top lines that may be
useful from the crash log are:

	OS Version:     10.4.8 (Build 8L127)
	Report Version: 4

	Command: gqview
	Path:    /Volumes/NetBSD/pkg/bin/gqview
	Parent:  bash [15423]

	Version: ??? (???)

	PID:    16580
	Thread: 0

	Exception:  EXC_BAD_ACCESS (0x0001)
	Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x000002c8

The full log file is ~16k if anyone wants to see it.

Any clues as to what might be the source of the problem?

I'm running pkgsrc from HEAD updated earlier today.